## McdService McdService — Service interface implementation |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <mcd-service.h>

                        McdService;
    McdService *        mcd_service_new                     (void);
    void                mcd_service_run                     (McdService *self);

## Object Hierarchy

      GObject
       +----McdMission
             +----McdOperation
                   +----McdController
                         +----McdMaster
                               +----McdService

## Description

It is the frontline interface object that exposes mission-control to outside world through a dbus interface. It basically subclasses McdMaster and wraps up everything inside it and translate them into mission-control dbus interface.

## Details

### McdService

    typedef struct _McdService McdService;

### mcd_service_new ()

    McdService *        mcd_service_new                     (void);

Returns : |

### mcd_service_run ()

    void                mcd_service_run                     (McdService *self);

`self` : |